メニューを切り替える
個人設定メニューを切り替える
個人メニューを切り替える
ログインしていません
編集を行うと、IPアドレスが公開されます。

「MediaWiki:Common.css」の版間の差分

MediaWikiインターフェイスページ
編集の要約なし
タグ: 差し戻し済み モバイル編集 モバイルウェブ編集
編集の要約なし
タグ: 手動差し戻し 差し戻し済み モバイル編集 モバイルウェブ編集
1行目: 1行目:
/* ここに書いたCSSはすべての外装に反映されます */
/* ここに書いたCSSはすべての外装に反映されます */


/* nomobile & mobileonly */
/* フォント・ファミリの設定 */
.nomobile {
/* [[MediaWiki‐ノート:Common.css#特定テンプレート用のCSSをTemplateStylesに移行する提案(1回目)]]により非推奨化([[Template:Unicode]]への移行推奨) */
display: initial;
.Unicode {
font-family: 'TITUS Cyberbit Basic', 'Code2000', 'Chrysanthi Unicode', 'Doulos SIL', 'Bitstream Cyberbit', 'Bitstream CyberBase', 'Bitstream Vera', 'Thryomanes', 'Gentium', 'GentiumAlt', 'Visual Geez Unicode', 'Lucida Grande', 'Arial Unicode MS', 'Microsoft Sans Serif', 'Lucida Sans Unicode', sans-serif;
}
}
.mobileonly {
 
display: none;
.IPA {
font-family: 'Charis SIL', 'Doulos SIL', 'DejaVu Sans', 'Code2000', 'Hiragino Kaku Gothic Pro', 'Matrix Unicode', 'Tahoma', 'Microsoft Sans Serif', sans-serif;
}
}
@media only screen and (max-width: 768px) {
 
.nomobile {
/* make the list of references look smaller */
display: none !important;
ol.references,
}
div.reflist {
.mobileonly {
font-size: 90%;           /* Default font-size */
display: initial !important;
}
}
}


.theme-primary {
div.reflist ol.references {
color: black;
font-size: 100%;           /* Reset font-size when nested in div.reflist */
background-color: #2FD9E3;
list-style-type: inherit; /* Enable custom list style types */
}
}


/* Reset italic styling set by user agent */
/* Default style for navigation boxes */
cite, dfn {
.navbox {                     /* Navbox container style */
font-style: inherit;
box-sizing: border-box;
border: 1px solid #a2a9b1;
width: 100%;
margin: auto;
clear: both;
font-size: 88%;
text-align: center;
padding: 1px;
}
}


/* Straight quote marks for <q> */
.navbox + .navbox {
q {
margin-top: -1px;         /* Single pixel border between adjacent navboxes */
quotes: '"' '"' "'" "'";
}
}


/* Avoid collision of blockquote with floating elements by swapping margin and padding */
.navbox-inner,
blockquote {
.navbox-subgroup {
overflow: hidden;
width: 100%;
margin: 1em 0;
padding: 0 40px;
}
}


/* give pre a float clearing new block formatting context */
.navbox-title,
/* Also break any really long words/urls to keep them visible in that case */
.navbox-abovebelow,
pre, .mw-code {
.navbox th {
overflow-x: hidden;
text-align: center;      /* Title, group and above/below styles */
overflow-wrap: break-word;
padding-left: 1em;
padding-right: 1em;
}
}


/* Consistent size for <small>, <sub> and <sup> */
th.navbox-group {            /* Group style */
small {
white-space: nowrap;
font-size: 85%;
/* @noflip */
}
text-align: right;
.mw-body-content sub,
.mw-body-content sup,
span.reference /* for Parsoid */ {
font-size: 80%;
}
}


/* Same spacing for indented and unindented paragraphs on talk pages */
.navbox,
.ns-talk .mw-body-content dd {
.navbox-subgroup {
margin-top: 0.4em;
background-color: #fdfdfd; /* Background color */
margin-bottom: 0.4em;
}
}


/* Main page fixes */
.navbox-list {
#interwiki-completelist {
border-color: #fdfdfd;   /* Must match background color */
font-weight: bold;
}
}


/* Reduce page jumps by hiding collapsed/dismissed content */
/* cell spacing for navbox cells */
.client-js .mw-special-Watchlist #watchlist-message,
tr + tr > .navbox-abovebelow,
.client-js .NavFrame.collapsed .NavContent,
tr + tr > .navbox-group,
.client-js .collapsible:not( .mw-made-collapsible).collapsed > tbody > tr:not(:first-child) {
tr + tr > .navbox-image,
display: none;
tr + tr > .navbox-list {    /* Borders above 2nd, 3rd, etc. rows */
border-top: 2px solid #fdfdfd; /* Must match background color */
}
}


/* Adds padding above Watchlist announcements where new recentchanges/watchlist filters are enabled */
.navbox th,
.mw-rcfilters-enabled .mw-specialpage-summary {
.navbox-title {
margin-top: 1em;
background-color: #ccccff;     /* Level 1 color */
}
}


/* Hide charinsert base for those not using the gadget */
.navbox-abovebelow,
#editpage-specialchars {
th.navbox-group,
display: none;
.navbox-subgroup .navbox-title {
background-color: #ddddff;     /* Level 2 color */
}
}


/* Highlight linked elements (such as clicked references) in blue */
.navbox-subgroup .navbox-group,
body.action-info .mw-body-content :target,
.navbox-subgroup .navbox-abovebelow {
.citation:target {
background-color: #e6e6ff;     /* Level 3 color */
background-color: #def; /* Fallback */
background-color: rgba(0, 127, 255, 0.133);
}
}


/* Styling for citations. Breaks long urls, etc., rather than overflowing box */
.navbox-even {
.citation {
background-color: #f7f7f7;     /* Even row striping */
word-wrap: break-word;
}
}


/* For linked citation numbers and document IDs, where the number need not be shown
.navbox-odd {
  on a screen or a handheld, but should be included in the printed version */
background-color: transparent; /* Odd row striping */
@media screen, handheld {
.citation .printonly {
display: none;
}
}
}


/* Make the list of references smaller */
/* [[MediaWiki:Common.js]] にある createCollapseButtons 関数を参照。 */
/* Keep in sync with Template:Refbegin/styles.css */
.collapseButton {
ol.references,
float: right;
div.reflist {
font-weight: normal;
font-size: 90%;           /* Default font-size */
text-align: right;
margin-bottom: 0.5em;
width: auto;
}
div.reflist ol.references {
font-size: 100%;           /* Reset font-size when nested in div.reflist */
margin-bottom: 0;         /* Avoid double margin when nested in div.reflist */
list-style-type: inherit; /* Enable custom list style types */
}
}


/* Allow hidden ref errors to be shown by user CSS */
/* Styling for jQuery makeCollapsible, matching that of collapseButton */
/* TemplateStyles */
.mw-parser-output .mw-collapsible-toggle:not(.mw-ui-button) {
span.brokenref {
font-weight: normal;
display: none;
/* @noflip */
text-align: right;
padding-right: 0.2em;
padding-left: 0.2em;
}
}


/* Reset top margin for lists embedded in columns */
.mw-collapsible-leftside-toggle .mw-collapsible-toggle {
div.columns {
/* @noflip */
margin-top: 0.3em;
float: left;
}
/* @noflip */
div.columns dl,
text-align: left;
div.columns ol,
div.columns ul {
margin-top: 0;
}
}


/* Avoid elements breaking between columns */
/* 表組みを折り畳んだ場合、横幅が極端に狭くなることを強引に修正 */
.nocolbreak,
table.mw-collapsed > caption {
div.columns li,
white-space: nowrap;
div.columns dd {
-webkit-column-break-inside: avoid;
page-break-inside: avoid;
break-inside: avoid-column;
}
}


/* Style for horizontal lists (separator following item).
/* Style for horizontal lists (separator following item).
   @source mediawiki.org/wiki/Snippets/Horizontal_lists
   @source mediawiki.org/wiki/Snippets/Horizontal_lists
   @revision 8 (2016-05-21)
   @revision 9 (2016-08-10)
   @author [[User:Edokter]]
   @author [[User:Edokter]]
  */
  */
153行目: 138行目:
padding: 0;
padding: 0;
}
}
/* Display list items inline */
/* Display list items inline */
.hlist dd,
.hlist dd,
160行目: 146行目:
display: inline;
display: inline;
}
}
/* Display nested lists inline */
/* Display nested lists inline */
.hlist.inline,
.hlist.inline,
170行目: 157行目:
display: inline;
display: inline;
}
}
/* Hide empty list items */
/* Hide empty list items */
.hlist .mw-empty-li {
.hlist .mw-empty-li,
.hlist .mw-empty-elt {
display: none;
display: none;
}
}
/* Generate interpuncts */
/* Generate interpuncts */
.hlist dt:after {
.hlist dt:after {
content: ": ";
content: ": ";
}
}
/**
 
* Note hlist style usage differd in
* the Minerva skin. Remember .hlist is a class defined in core as well! Please check Minerva desktop (and Minerva.css) when changing
* See https://phabricator.wikimedia.org/T213239
*/
.hlist dd:after,
.hlist dd:after,
.hlist li:after {
.hlist li:after {
content: " ";
content: " · ";
font-weight: bold;
font-weight: bold;
}
}
/* 日本語版の独自仕様。-pipe、-hyphen、-comma、-slash */
.hlist-pipe dd:after,
.hlist-pipe li:after {
content: " | ";
font-weight: normal;
}
.hlist-hyphen dd:after,
.hlist-hyphen li:after {
content: " - ";
font-weight: normal;
}
.hlist-comma dd:after,
.hlist-comma li:after {
content: "、 ";
font-weight: normal;
}
.hlist-slash dd:after,
.hlist-slash li:after {
content: " / ";
font-weight: normal;
}
.hlist dd:last-child:after,
.hlist dd:last-child:after,
.hlist dt:last-child:after,
.hlist dt:last-child:after,
193行目: 204行目:
content: none;
content: none;
}
}
/* Add parentheses around nested lists */
/* Add parentheses around nested lists */
.hlist dd dd:first-child:before, .hlist dd dt:first-child:before, .hlist dd li:first-child:before,
.hlist dd dd:first-child:before, .hlist dd dt:first-child:before, .hlist dd li:first-child:before,
200行目: 212行目:
font-weight: normal;
font-weight: normal;
}
}
.hlist dd dd:last-child:after, .hlist dd dt:last-child:after, .hlist dd li:last-child:after,
.hlist dd dd:last-child:after, .hlist dd dt:last-child:after, .hlist dd li:last-child:after,
.hlist dt dd:last-child:after, .hlist dt dt:last-child:after, .hlist dt li:last-child:after,
.hlist dt dd:last-child:after, .hlist dt dt:last-child:after, .hlist dt li:last-child:after,
206行目: 219行目:
font-weight: normal;
font-weight: normal;
}
}
/* Put ordinals in front of ordered list items */
/* Put ordinals in front of ordered list items */
.hlist ol {
.hlist ol {
counter-reset: listitem;
counter-reset: listitem;
}
}
.hlist ol > li {
.hlist ol > li {
counter-increment: listitem;
counter-increment: listitem;
}
}
.hlist ol > li:before {
.hlist ol > li:before {
content: " " counter(listitem) "\a0";
content: " " counter(listitem) ".\a0";
}
}
.hlist dd ol > li:first-child:before,
.hlist dd ol > li:first-child:before,
.hlist dt ol > li:first-child:before,
.hlist dt ol > li:first-child:before,
222行目: 239行目:
}
}


/* Unbulleted lists */
/* Avoid elements from breaking between columns */
.plainlist ol,
li, dd {
.plainlist ul {
-webkit-column-break-inside: avoid;
line-height: inherit;
page-break-inside: avoid;
list-style: none none;
break-inside: avoid-column;
margin: 0;
}
.plainlist ol li,
.plainlist ul li {
margin-bottom: 0;
}
}


/* Default styling for Navbar template */
dt {
.navbar {
-webkit-column-break-after: avoid;
display: inline;
page-break-after: avoid;
font-size: 88%;
break-after: avoid-column;
font-weight: normal;
}
.navbar ul {
display: inline-block;
white-space: nowrap;
}
.mw-body-content .navbar ul {
line-height: inherit;
}
.navbar li {
word-spacing: -0.125em;
}
.navbar.mini li abbr[title] {
border-bottom: none;
text-decoration: none;
cursor: inherit;
}
/* Navbar styling when nested in infobox and navbox */
.infobox .navbar {
font-size: 100%;
}
.navbox .navbar {
display: block;
font-size: 100%;
}
.navbox-title .navbar {
/* @noflip */
float: left;
/* @noflip */
text-align: left;
/* @noflip */
margin-right: 0.5em;
}
 
/* Styling for JQuery makeCollapsible, matching that of collapseButton */
.mw-parser-output .mw-collapsible-toggle {
font-weight: normal;
/* @noflip */
text-align: right;
padding-right: 0.2em;
padding-left: 0.2em;
}
.mw-collapsible-leftside-toggle .mw-collapsible-toggle {
/* @noflip */
float: left;
/* @noflip */
text-align: left;
}
 
/* Normal font styling for wikitable row headers with scope="row" tag */
.wikitable.plainrowheaders th[scope=row] {
font-weight: normal;
/* @noflip */
text-align: left;
}
}


/* Lists in wikitable data cells are always left-aligned */
dd {
.wikitable td ul,
-webkit-column-break-before: avoid;
.wikitable td ol,
page-break-before: avoid;
.wikitable td dl {
break-before: avoid-column;
/* @noflip */
text-align: left;
}
/* ...unless they also use the hlist class */
.toc.hlist ul,
#toc.hlist ul,
.wikitable.hlist td ul,
.wikitable.hlist td ol,
.wikitable.hlist td dl {
text-align: inherit;
}
}


/* Icons for medialist templates [[Template:Listen]],
/* Merge template style */
  [[Template:Multi-listen_start]], [[Template:Video]],
  [[Template:Multi-video_start]] */
/* TemplateStyles */
div.listenlist {
background: url("//upload.wikimedia.org/wikipedia/commons/4/47/Sound-icon.svg") no-repeat scroll 0 0 transparent;
background-size: 30px;
padding-left: 40px;
}
 
/* Fix for hieroglyphs specificity issue in infoboxes ([[phab:T43869]]) */
table.mw-hiero-table td {
vertical-align: middle;
}
 
/* Change the external link icon to an Adobe icon for all PDF files */
.mw-parser-output a[href$=".pdf"].external,
.mw-parser-output a[href*=".pdf?"].external,
.mw-parser-output a[href*=".pdf#"].external,
.mw-parser-output a[href$=".PDF"].external,
.mw-parser-output a[href*=".PDF?"].external,
.mw-parser-output a[href*=".PDF#"].external {
background: url("//upload.wikimedia.org/wikipedia/commons/2/23/Icons-mini-file_acrobat.gif") no-repeat right;
/* @noflip */
padding-right: 18px;
}
 
/* Messagebox templates */
.messagebox {
.messagebox {
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
343行目: 264行目:
width: 80%;
width: 80%;
margin: 0 auto 1em auto;
margin: 0 auto 1em auto;
padding: .2em;
padding: 0.2em;
text-align: justify;
}
}
.messagebox.merge {
 
border: 1px solid #c0b8cc;
.infobox {
background-color: #f0e5ff;
border: 1px solid #a2a9b1;
text-align: center;
background-color: #f8f9fa;
}
color: black;
.messagebox.cleanup {
margin: 0.5em 0 0.5em 1em;
border: 1px solid #9f9fff;
padding: 0.2em;
background-color: #efefff;
text-align: center;
}
.messagebox.standard-talk {
border: 1px solid #c0c090;
background-color: #f8eaba;
margin: 4px auto;
}
/* For old WikiProject banners inside banner shells. */
.mbox-inside .standard-talk,
.messagebox.nested-talk {
border: 1px solid #c0c090;
background-color: #f8eaba;
width: 100%;
margin: 2px 0;
padding: 2px;
}
.messagebox.small {
width: 238px;
font-size: 85%;
/* @noflip */
float: right;
float: right;
clear: both;
clear: right;
/* @noflip */
text-align: left;
margin: 0 0 1em 1em;
font-size: 88%;
line-height: 1.25em;
line-height: 1.5em;
}
.messagebox.small-talk {
width: 238px;
font-size: 85%;
/* @noflip */
float: right;
clear: both;
/* @noflip */
margin: 0 0 1em 1em;
line-height: 1.25em;
background-color: #f8eaba;
}
}


/* Cell sizes for ambox/tmbox/imbox/cmbox/ombox/fmbox/dmbox message boxes */
.infobox caption {
th.mbox-text, td.mbox-text {   /* The message body cell(s) */
margin-top: 0.5em;
border: none;
font-size: 125%;
/* @noflip */
font-weight: bold;
padding: 0.25em 0.9em;    /* 0.9em left/right */
width: 100%;              /* Make all mboxes the same width regardless of text length */
}
td.mbox-image {                /* The left image cell */
border: none;
/* @noflip */
padding: 2px 0 2px 0.9em; /* 0.9em left, 0px right */
text-align: center;
}
td.mbox-imageright {          /* The right image cell */
border: none;
/* @noflip */
padding: 2px 0.9em 2px 0;  /* 0px left, 0.9em right */
text-align: center;
}
td.mbox-empty-cell {          /* An empty narrow cell */
border: none;
padding: 0;
width: 1px;
}
 
/* Article message box styles */
table.ambox {
margin: 0 10%;                  /* 10% = Will not overlap with other elements */
border: 1px solid #a2a9b1;
/* @noflip */
border-left: 10px solid #36c;  /* Default "notice" blue */
background-color: #fbfbfb;
box-sizing: border-box;
}
table.ambox + table.ambox {      /* Single border between stacked boxes. */
margin-top: -1px;
}
.ambox th.mbox-text,
.ambox td.mbox-text {            /* The message body cell(s) */
padding: 0.25em 0.5em;       /* 0.5em left/right */
}
.ambox td.mbox-image {          /* The left image cell */
/* @noflip */
padding: 2px 0 2px 0.5em;    /* 0.5em left, 0px right */
}
.ambox td.mbox-imageright {      /* The right image cell */
/* @noflip */
padding: 2px 0.5em 2px 0;   /* 0px left, 0.5em right */
}
}


table.ambox-notice {
.infobox td,
/* @noflip */
.infobox th {
border-left: 10px solid #36c;      /* Blue */
vertical-align: top;
}
table.ambox-speedy {
/* @noflip */
border-left: 10px solid #b32424;    /* Red */
background-color: #fee7e6;          /* Pink */
}
table.ambox-delete {
/* @noflip */
border-left: 10px solid #b32424;   /* Red */
}
table.ambox-content {
/* @noflip */
border-left: 10px solid #f28500;    /* Orange */
}
table.ambox-style {
/* @noflip */
border-left: 10px solid #fc3;      /* Yellow */
}
table.ambox-move {
/* @noflip */
border-left: 10px solid #9932cc;    /* Purple */
}
table.ambox-protection {
/* @noflip */
border-left: 10px solid #a2a9b1;    /* Gray-gold */
}
}


/* Image message box styles */
.infobox.bordered {
table.imbox {
margin: 4px 10%;
border-collapse: collapse;
border-collapse: collapse;
border: 3px solid #36c;    /* Default "notice" blue */
background-color: #fbfbfb;
box-sizing: border-box;
}
.imbox .mbox-text .imbox {  /* For imboxes inside imbox-text cells. */
margin: 0 -0.5em;      /* 0.9 - 0.5 = 0.4em left/right.        */
display: block;        /* Fix for webkit to force 100% width.  */
}
.mbox-inside .imbox {      /* For imboxes inside other templates.  */
margin: 4px;
}
}


table.imbox-notice {
.infobox.bordered td,
border: 3px solid #36c;      /* Blue */
.infobox.bordered th {
}
table.imbox-speedy {
border: 3px solid #b32424;    /* Red */
background-color: #fee7e6;    /* Pink */
}
table.imbox-delete {
border: 3px solid #b32424;    /* Red */
}
table.imbox-content {
border: 3px solid #f28500;    /* Orange */
}
table.imbox-style {
border: 3px solid #fc3;      /* Yellow */
}
table.imbox-move {
border: 3px solid #9932cc;    /* Purple */
}
table.imbox-protection {
border: 3px solid #a2a9b1;    /* Gray-gold */
}
table.imbox-license {
border: 3px solid #88a;      /* Dark gray */
background-color: #f7f8ff;    /* Light gray */
}
table.imbox-featured {
border: 3px solid #cba135;    /* Brown-gold */
}
 
/* Category message box styles */
table.cmbox {
margin: 3px 10%;
border-collapse: collapse;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
background-color: #dfe8ff;    /* Default "notice" blue */
box-sizing: border-box;
}
}


table.cmbox-notice {
.infobox.bordered .borderless td,
background-color: #d8e8ff;    /* Blue */
.infobox.bordered .borderless th {
}
border: 0;
table.cmbox-speedy {
margin-top: 4px;
margin-bottom: 4px;
border: 4px solid #b32424;    /* Red */
background-color: #ffdbdb;    /* Pink */
}
table.cmbox-delete {
background-color: #ffdbdb;    /* Pink */
}
table.cmbox-content {
background-color: #ffe7ce;    /* Orange */
}
table.cmbox-style {
background-color: #fff9db;    /* Yellow */
}
table.cmbox-move {
background-color: #e4d8ff;    /* Purple */
}
table.cmbox-protection {
background-color: #efefe1;   /* Gray-gold */
}
}


/* Other pages message box styles */
/* styles for bordered infobox with merged rows */
table.ombox {
.infobox.bordered .mergedtoprow td,
margin: 4px 10%;
.infobox.bordered .mergedtoprow th {
border-collapse: collapse;
border: 0;
border: 1px solid #a2a9b1;   /* Default "notice" gray */
border-top: 1px solid #a2a9b1;
background-color: #f8f9fa;
/* @noflip */
box-sizing: border-box;
border-right: 1px solid #a2a9b1;
}
}


table.ombox-notice {
.infobox.bordered .mergedrow td,
border: 1px solid #a2a9b1;    /* Gray */
.infobox.bordered .mergedrow th {
}
border: 0;
table.ombox-speedy {
/* @noflip */
border: 2px solid #b32424;    /* Red */
border-right: 1px solid #a2a9b1;
background-color: #fee7e6;    /* Pink */
}
table.ombox-delete {
border: 2px solid #b32424;   /* Red */
}
table.ombox-content {
border: 1px solid #f28500;    /* Orange */
}
table.ombox-style {
border: 1px solid #fc3;      /* Yellow */
}
table.ombox-move {
border: 1px solid #9932cc;    /* Purple */
}
table.ombox-protection {
border: 2px solid #a2a9b1;   /* Gray-gold */
}
}


/* Talk page message box styles */
/* Styles for geography infoboxes, eg countries,
table.tmbox {
  country subdivisions, cities, etc.            */
margin: 4px 10%;
.infobox.geography {
border-collapse: collapse;
border-collapse: collapse;
border: 1px solid #c0c090;    /* Default "notice" gray-brown */
line-height: 1.6em;
background-color: #f8eaba;
font-size: 88%;
min-width: 80%;
box-sizing: border-box;
}
.tmbox.mbox-small {
min-width: 0;                /* reset the min-width of tmbox above        */
}
.mediawiki .mbox-inside .tmbox { /* For tmboxes inside other templates. The "mediawiki" class ensures that */
margin: 2px 0;              /* this declaration overrides other styles (including mbox-small above)  */
width: 100%;                /* For Safari and Opera */
}
.mbox-inside .tmbox.mbox-small { /* "small" tmboxes should not be small when  */
line-height: 1.5em;         /* also "nested", so reset styles that are  */
font-size: 100%;            /* set in "mbox-small" above.                */
}
 
table.tmbox-speedy {
border: 2px solid #b32424;    /* Red */
background-color: #fee7e6;    /* Pink */
}
table.tmbox-delete {
border: 2px solid #b32424;    /* Red */
}
table.tmbox-content {
border: 2px solid #f28500;    /* Orange */
}
table.tmbox-style {
border: 2px solid #fc3;      /* Yellow */
}
table.tmbox-move {
border: 2px solid #9932cc;    /* Purple */
}
table.tmbox-protection,
table.tmbox-notice {
border: 1px solid #c0c090;    /* Gray-brown */
}
 
/* Footer and header message box styles */
table.fmbox {
clear: both;
margin: 0.2em 0;
width: 100%;
border: 1px solid #a2a9b1;
background-color: #f8f9fa;    /* Default "system" gray */
box-sizing: border-box;
}
table.fmbox-system {
background-color: #f8f9fa;
}
table.fmbox-warning {
border: 1px solid #bb7070;  /* Dark pink */
background-color: #ffdbdb;  /* Pink */
}
table.fmbox-editnotice {
background-color: transparent;
}
/* Div based "warning" style fmbox messages. */
div.mw-warning-with-logexcerpt,
div.mw-lag-warn-high,
div.mw-cascadeprotectedwarning,
div#mw-protect-cascadeon,
div.titleblacklist-warning,
div.locked-warning {
clear: both;
margin: 0.2em 0;
border: 1px solid #bb7070;
background-color: #ffdbdb;
padding: 0.25em 0.9em;
box-sizing: border-box;
}
}


/* These mbox-small classes must be placed after all other
.infobox.geography  td,
  ambox/tmbox/ombox etc classes. "html body.mediawiki" is so
.infobox.geography  th {
  they override "table.ambox + table.ambox" above. */
border-top: 1px solid #a2a9b1;
html body.mediawiki .mbox-small {   /* For the "small=yes" option. */
padding: 0.4em 0.6em 0.4em 0.6em;
/* @noflip */
clear: right;
/* @noflip */
float: right;
/* @noflip */
margin: 4px 0 4px 1em;
box-sizing: border-box;
width: 238px;
font-size: 88%;
line-height: 1.25em;
}
html body.mediawiki .mbox-small-left {  /* For the "small=left" option. */
/* @noflip */
margin: 4px 1em 4px 0;
box-sizing: border-box;
overflow: hidden;
width: 238px;
border-collapse: collapse;
font-size: 88%;
line-height: 1.25em;
}
}


/* Style for compact ambox */
.infobox.geography .mergedtoprow td,
/* Hide the images */
.infobox.geography .mergedtoprow th {
.compact-ambox table .mbox-image,
border-top: 1px solid #a2a9b1;
.compact-ambox table .mbox-imageright,
padding: 0.4em 0.6em 0.2em 0.6em;
.compact-ambox table .mbox-empty-cell {
display: none;
}
/* Remove borders, backgrounds, padding, etc. */
.compact-ambox table.ambox {
border: none;
border-collapse: collapse;
background-color: transparent;
margin: 0 0 0 1.6em !important;
padding: 0 !important;
width: auto;
display: block;
}
body.mediawiki .compact-ambox table.mbox-small-left {
font-size: 100%;
width: auto;
margin: 0;
}
/* Style the text cell as a list item and remove its padding */
.compact-ambox table .mbox-text {
padding: 0 !important;
margin: 0 !important;
}
.compact-ambox table .mbox-text-span {
display: list-item;
line-height: 1.5em;
list-style-type: square;
list-style-image: url(/w/skins/MonoBook/resources/images/bullet.svg);
}
.skin-vector .compact-ambox table .mbox-text-span {
list-style-type: disc;
list-style-image: url(/w/skins/Vector/images/bullet-icon.svg);
}
/* Allow for hiding text in compact form */
.compact-ambox .hide-when-compact {
display: none;
}
}


/* Hide (formatting) elements from screen, but not from screenreaders */
.infobox.geography .mergedrow td,
.visualhide {
.infobox.geography .mergedrow th {
position: absolute;
border: 0;
left: -10000px;
padding: 0 0.6em 0.2em 0.6em;
top: auto;
width: 1px;
height: 1px;
overflow: hidden;
}
}


/* Suppress missing interwiki image links where #ifexist cannot
.infobox.geography .mergedbottomrow td,
  be used due to high number of requests. See .hidden-redlink on
.infobox.geography .mergedbottomrow th {
  [[m:MediaWiki:Common.css]] */
border-top: 0;
.check-icon a.new {
border-bottom: 1px solid #a2a9b1;
display: none;
padding: 0 0.6em 0.4em 0.6em;
speak: none;
}
}


/* Remove underlines from certain links */
.infobox.geography .maptable td,
.nounderlines a,
.infobox.geography .maptable th {
.IPA a:link, .IPA a:visited {
border: 0;
text-decoration: none !important;
padding: 0;
}
}


/* Standard Navigationsleisten, aka box hiding thingy
/* NavFrame関係。[[MediaWiki:Monobook.css]]も参照 */
  from .de.  Documentation at [[Wikipedia:NavFrame]]. */
div.NavFrame {
div.NavFrame {
margin: 0;
margin: 0px;
padding: 4px;
padding: 2px;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
text-align: center;
text-align: center;
761行目: 370行目:
font-size: 95%;
font-size: 95%;
}
}
div.NavFrame + div.NavFrame {
 
border-top-style: none;
border-top-style: hidden;
}
div.NavFrame div.NavHead {
div.NavFrame div.NavHead {
line-height: 1.6em;
height: 1.6em;
font-weight: bold;
font-weight: bold;
background-color: #ccf;
font-size: 100%;
background-color: var(--background-color-neutral-subtle, #efefef);
position: relative;
position: relative;
text-align: center;
}
div.NavFrame p {
font-size: 100%;
}
div.NavFrame div.NavContent {
font-size: 100%;
}
}
div.NavFrame p,
 
div.NavFrame div.NavContent,
div.NavFrame div.NavContent p {
div.NavFrame div.NavContent p {
font-size: 100%;
font-size: 100%;
}
}
a.NavToggle {
a.NavToggle {
position: absolute;
position: absolute;
top: 0;
top: 0px;
/* @noflip */
right: 3px;
right: 3px;
font-weight: normal;
font-weight: normal;
font-size: 90%;
}
}


/* Hatnotes and disambiguation notices */
/* System messages styled similarly to fmbox */
.hatnote {
/* for .mw-warning-with-logexcerpt, behavior of this line differs between
font-style: italic;
* the edit-protected notice and the special:Contribs for blocked users
}
* The latter has specificity of 3 classes so we have to triple up here.
.hatnote i {
*/
font-style: normal;
.mw-warning-with-logexcerpt.mw-warning-with-logexcerpt.mw-warning-with-logexcerpt,
}
div.mw-lag-warn-high,
div.hatnote {
div.mw-cascadeprotectedwarning,
/* @noflip */
div#mw-protect-cascadeon {
padding-left: 1.6em;
clear: both;
margin-bottom: 0.5em;
margin: 0.2em 0;
}
border: 1px solid #bb7070;
div.hatnote + div.hatnote {
background-color: var(--background-color-error-subtle, #ffdbdb);
margin-top: -0.5em;
padding: 0.25em 0.9em;
box-sizing: border-box;
}
}


/* Allow transcluded pages to display in lists rather than a table. */
/* default colors for partial block message */
.listify td {
/* gotta get over the hump introduced by the triple class above */
display: list-item;
.mw-contributions-blocked-notice-partial .mw-warning-with-logexcerpt.mw-warning-with-logexcerpt {
}
border-color: #fc3;
.listify tr {
background-color: var(--background-color-warning-subtle, #fef6e7);
display: block;
}
.listify table {
display: block;
}
}


/* Geographical coordinates defaults. See [[Template:Coord/link]]
/* 出典ジャンプ先強調 */
  for how these are used. The classes "geo", "longitude", and
.citation:target {
  "latitude" are used by the [[Geo microformat]]. */
background-color: #f1f4fd; /* fallback */
/* TemplateStyles */
background-color: var(--background-color-progressive-subtle, rgb(0 127 255 / 0.133));
.geo-default, .geo-dms, .geo-dec {
display: inline;
}
.geo-nondefault, .geo-multi-punct {
display: none;
}
.longitude, .latitude {
white-space: nowrap;
}
 
/* User block messages */
div.user-block {
padding: 5px;
margin-bottom: 0.5em;
border: 1px solid #a9a9a9;
background-color: #ffefd5;
}
}


/* Prevent line breaks in silly places:
/* 特定場所での改行を防ぐ:
   1) Where desired
   1) 個別に指定した場所
   2) Links when we don't want them to
   2) リンク途中
   3) Bold "links" to the page itself */
   3) グループ名付きの ref タグ <ref group="注"> --> "[注 1]" */
.nowrap,
.nowrap,
.nowraplinks a,
.nowraplinks a,
.nowraplinks .selflink {
sup.reference a {
white-space: nowrap;
white-space: nowrap;
}
}
.nowrap pre {
 
white-space: pre;
/* 以下のクラスを指定した場所では解除する: */
}
/* But allow wrapping where desired: */
.wrap,
.wrap,
.wraplinks a {
.wraplinks a {
852行目: 445行目:
}
}


/* For template documentation */
/*
/* TemplateStyles */
* カテゴリページのリスト部にフロート指定のブロックを入れない。
.template-documentation {
* 2009-01-24 by [[User:mizusumashi]]
*/
#mw-subcategories, #mw-pages, #mw-category-media {
clear: both;
clear: both;
margin: 1em 0 0 0;
border: 1px solid #a2a9b1;
background-color: #ecfcf4;
padding: 1em;
}
}


/* Increase the height of the image upload box */
/* Don't display page title on the main page */
#wpUploadDescription {
.page-メインページ #deleteconfirm,
height: 13em;
.page-メインページ #t-cite,
}
.page-メインページ #footer-info-lastmod,
 
.action-view.page-メインページ #siteSub,
/* Minimum thumb width */
.action-view.page-メインページ .subtitle,
.thumbinner {
.action-view.page-メインページ .firstHeading,
min-width: 100px;
.action-view.page-メインページ #contentSub,
}
.action-view.page-メインページ #contentSub2 {
 
/* Prevent floating boxes from overlapping any category listings,
  file histories, edit previews, and edit [Show changes] views. */
#mw-subcategories, #mw-pages, #mw-category-media,
#filehistory, #wikiPreview, #wikiDiff {
clear: both;
}
 
/* Selectively hide headers in WikiProject banners */
/* TemplateStyles */
.wpb .wpb-header {
display: none;
display: none;
}
.wpbs-inner .wpb .wpb-header {
display: block;            /* for IE */
}
.wpbs-inner .wpb .wpb-header {
display: table-row;        /* for real browsers */
}
.wpbs-inner .wpb-outside {
display: none;            /* hide things that should only display outside shells */
}
}


/* Styling for Abuse Filter tags */
/* Unbulleted lists */
.mw-tag-markers {
.plainlist ol,
font-style: italic;
.plainlist ul {
font-size: 90%;
line-height: inherit;
list-style: none;
margin: 0;
}
}


/* Hide stuff meant for accounts with special permissions. Made visible again in
.plainlist ol li,
  [[MediaWiki:Group-checkuser.css]], [[MediaWiki:Group-sysop.css]], [[MediaWiki:Group-patroller.css]],
.plainlist ul li {
  [[MediaWiki:Group-templateeditor.css]], [[MediaWiki:Group-extendedmover.css]],
margin-bottom: 0;
  [[MediaWiki:Group-extendedconfirmed.css]], and [[Mediawiki:Group-autoconfirmed.css]]. */
.checkuser-show,
.sysop-show,
.patroller-show,
.templateeditor-show,
.extendedmover-show,
.extendedconfirmed-show,
.autoconfirmed-show,
.user-show {
display: none;
}
}


/* Hide the redlink generated by {{Editnotice}},
/* [[Template:Math]]用のtexhtmlクラス。(2021-05-24更新)
  this overrides the ".sysop-show { display: none; }" above that applies
  texhtml class for inline math (based on generic times-serif class) */
  to the same link as well. See [[phab:T45013]]
 
  Hide the images in editnotices to keep them readable in VE view.
  Long term, editnotices should become a core feature so that they can be designed responsive. */
.ve-ui-mwNoticesPopupTool-item .editnotice-redlink,
.ve-ui-mwNoticesPopupTool-item .mbox-image,
.ve-ui-mwNoticesPopupTool-item .mbox-imageright {
display: none !important;
}
 
/* Remove bullets when there are multiple edit page warnings */
ul.permissions-errors > li {
list-style: none none;
}
ul.permissions-errors {
margin: 0;
}
 
/* Generic class for Times-based serif, texhtml class for inline math */
.times-serif,
span.texhtml {
span.texhtml {
font-family: "Nimbus Roman No9 L", "Times New Roman", Times, serif;
font-family: "Nimbus Roman No9 L", "Times New Roman", Times, serif;
font-size: 118%;
font-size: 108%;
line-height: 1;
line-height: 1;
}
span.texhtml {
white-space: nowrap;
white-space: nowrap;
/* Force tabular and lining display for texhtml */
-webkit-font-feature-settings: "lnum", "tnum", "kern" 0;
font-feature-settings: "lnum", "tnum", "kern" 0;
font-variant-numeric: lining-nums tabular-nums;
font-kerning: none;
}
}
span.texhtml span.texhtml {
span.texhtml span.texhtml {
font-size: 100%;
font-size: 100%;
}
}
span.mwe-math-mathml-inline {
span.mwe-math-mathml-inline {
font-size: 118%;
font-size: 108%;
}
}


/* Force tabular and lining display for digits and texhtml */
/* Make <math display="block"> be left aligned with one space indent for
.digits,
* compatibility with style conventions
.texhtml {
*/
-moz-font-feature-settings: "lnum", "tnum", "kern" 0;
-webkit-font-feature-settings: "lnum", "tnum", "kern" 0;
font-feature-settings: "lnum", "tnum", "kern" 0;
font-variant-numeric: lining-nums tabular-nums;
font-kerning: none;
}
 
/* Make <math display="block"> be left aligned with one space indent for compatibility with style conventions */
.mwe-math-fallback-image-display,
.mwe-math-fallback-image-display,
.mwe-math-mathml-display {
.mwe-math-mathml-display {
969行目: 509行目:
margin-bottom: 0.6em;
margin-bottom: 0.6em;
}
}
.mwe-math-mathml-display math {
.mwe-math-mathml-display math {
display: inline;
display: inline;
}
}


/* Fix styling of transcluded prefindex tables */
/* 日本語版追加分 */
table#mw-prefixindex-list-table,
span.texhtml sup {
table#mw-prefixindex-nav-table {
vertical-align: 1.0ex;
width: 98%;
font-size: 75%;
}
}


/* Make it possible to hide checkboxes in <inputbox> */
span.texhtml sub {
.inputbox-hidecheckboxes form .inputbox-element,
vertical-align: -0.5ex;
.inputbox-hidecheckboxes .mw-ui-checkbox {
font-size: 75%;
display: none !important;
}
}


/* Work-around for [[phab:T25965]] / [[phab:T100106]] (Kaltura advertisement) */
/* MediaWiki:Common.js - modifyEditsection
.k-player .k-attribution {
  拡張節編集リンク内の分割線をビジュアルエディター無効でも表示する */
visibility: hidden;
.ve-not-available .editsection-extensions .mw-editsection-divider {
display: inline;
}
}


/* Move 'play' button of video player to bottom left corner */
/* 履歴や本文で長い文字列を折り返せない問題の解消 */
.PopUpMediaTransform a .play-btn-large {
#bodyContent {
margin: 0;
word-wrap: break-word;
top: auto;
overflow-wrap: break-word;
right: auto;
bottom: 0;
left: 0;
}
}


/* Hide FlaggedRevs notice UI when there are no pending changes */
/* Hide broken download box on [[Special:Book]] pending [[phab:T285400]] */
.flaggedrevs_draft_synced,
.mw-special-Book #coll-downloadbox {
.flaggedrevs_stable_synced {
display: none;
display: none;
}
}


/* Force imgs in galleries to have borders by wrapping them in class=bordered-images */
/* T156351: Support for Parsoid's Cite implementation */
.bordered-images img {
span[rel="mw:referencedBy"]::before {
border: solid #ddd 1px;
    content: "^ ";
}
}
 
a[rel="mw:referencedBy"]::before {
/* Gallery styles background changes are restricted to screen view. In printing we should avoid applying backgrounds. */
    font-weight: bold;
@media screen {
    content: "^";
/* The backgrounds for galleries. */
#content .gallerybox div.thumb {
/* Light gray padding */
background-color: #f8f9fa;
}
/* Put a chequered background behind images, only visible if they have transparency.
'.filehistory a img' and '#file img:hover' are handled by MediaWiki core (as of 1.19) */
.gallerybox .thumb img {
background: #fff url(//upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png) repeat;
}
/* But not on articles, user pages, portals or with opt-out. */
.ns-0 .gallerybox .thumb img,
.ns-2 .gallerybox .thumb img,
.ns-100 .gallerybox .thumb img,
.nochecker .gallerybox .thumb img {
background-image: none;
}
 
}
}
 
span[ rel="mw:referencedBy" ] {
/* Display "From Wikipedia, the free encyclopedia" in skins that support it, do not apply to print mode */
    counter-reset: mw-ref-linkback 0;
@media screen {
#siteSub {
display: block;
}
}
}
 
span[ rel="mw:referencedBy" ] > a::before {
/* Workaround pending completion of T241683*/
    font-weight: bold;
#coll-create_a_book {
    font-style: italic;
display: none;
    content: counter( mw-ref-linkback, lower-alpha );
}
}


/* Hide Main Page Title */
/* Hide stuff meant for accounts with special permissions. Made visible again in
body.page-Main_Page h1#firstHeading,
  [[MediaWiki:Group-sysop.css]] and so on for other groups. */
body.page-Main_Page #siteSub,
.checkuser-show,
body.page-Main_Page #contentSub,
.sysop-show,
body.page-Main_Page #contentSub2 {
.eliminator-show,
.abusefilter-show,
.extendedconfirmed-show,
.autoconfirmed-show,
.user-show {
display: none;
display: none;
}
}


/* Main page max width */
html.skin-theme-clientpref-night .tmpl-language-icon {
body.page-Main_Page .mw-parser-output {
color: white !important;
max-width: 1280px;
margin: 0 auto;
}
}


/* Chinese font character */
@media screen and (prefers-color-scheme: dark) {
body.mediawiki {
html.skin-theme-clientpref-os .tmpl-language-icon {
    font-family: var(--font-family-base),"ヒラギノ角ゴ Pro W3","Hiragino Kaku Gothic Pro",Osaka,"Yu Gothic","MS Pゴシック","MS PGothic","Noto Sans CJK JP";
color: white !important;
}
}
}

2025年10月24日 (金) 04:18時点における版

/* ここに書いたCSSはすべての外装に反映されます */

/* フォント・ファミリの設定 */
/* [[MediaWiki‐ノート:Common.css#特定テンプレート用のCSSをTemplateStylesに移行する提案(1回目)]]により非推奨化([[Template:Unicode]]への移行推奨) */
.Unicode {
	font-family: 'TITUS Cyberbit Basic', 'Code2000', 'Chrysanthi Unicode', 'Doulos SIL', 'Bitstream Cyberbit', 'Bitstream CyberBase', 'Bitstream Vera', 'Thryomanes', 'Gentium', 'GentiumAlt', 'Visual Geez Unicode', 'Lucida Grande', 'Arial Unicode MS', 'Microsoft Sans Serif', 'Lucida Sans Unicode', sans-serif;
}

.IPA {
	font-family: 'Charis SIL', 'Doulos SIL', 'DejaVu Sans', 'Code2000', 'Hiragino Kaku Gothic Pro', 'Matrix Unicode', 'Tahoma', 'Microsoft Sans Serif', sans-serif;
}

/* make the list of references look smaller */
ol.references,
div.reflist {
	font-size: 90%;            /* Default font-size */
}

div.reflist ol.references {
	font-size: 100%;           /* Reset font-size when nested in div.reflist */
	list-style-type: inherit;  /* Enable custom list style types */
}

/* Default style for navigation boxes */
.navbox {                     /* Navbox container style */
	box-sizing: border-box;
	border: 1px solid #a2a9b1;
	width: 100%;
	margin: auto;
	clear: both;
	font-size: 88%;
	text-align: center;
	padding: 1px;
}

.navbox + .navbox {
	margin-top: -1px;         /* Single pixel border between adjacent navboxes */
}

.navbox-inner,
.navbox-subgroup {
	width: 100%;
}

.navbox-title,
.navbox-abovebelow,
.navbox th {
	text-align: center;       /* Title, group and above/below styles */
	padding-left: 1em;
	padding-right: 1em;
}

th.navbox-group {             /* Group style */
	white-space: nowrap;
	/* @noflip */
	text-align: right;
}

.navbox,
.navbox-subgroup {
	background-color: #fdfdfd; /* Background color */
}

.navbox-list {
	border-color: #fdfdfd;    /* Must match background color */
}

/* cell spacing for navbox cells */
tr + tr > .navbox-abovebelow,
tr + tr > .navbox-group,
tr + tr > .navbox-image,
tr + tr > .navbox-list {    /* Borders above 2nd, 3rd, etc. rows */
	border-top: 2px solid #fdfdfd; /* Must match background color */
}

.navbox th,
.navbox-title {
	background-color: #ccccff;      /* Level 1 color */
}

.navbox-abovebelow,
th.navbox-group,
.navbox-subgroup .navbox-title {
	background-color: #ddddff;      /* Level 2 color */
}

.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
	background-color: #e6e6ff;      /* Level 3 color */
}

.navbox-even {
	background-color: #f7f7f7;      /* Even row striping */
}

.navbox-odd {
	background-color: transparent;  /* Odd row striping */
}

/* [[MediaWiki:Common.js]] にある createCollapseButtons 関数を参照。 */
.collapseButton {
	float: right;
	font-weight: normal;
	text-align: right;
	width: auto;
}

/* Styling for jQuery makeCollapsible, matching that of collapseButton */
.mw-parser-output .mw-collapsible-toggle:not(.mw-ui-button) {
	font-weight: normal;
	/* @noflip */
	text-align: right;
	padding-right: 0.2em;
	padding-left: 0.2em;
}

.mw-collapsible-leftside-toggle .mw-collapsible-toggle {
	/* @noflip */
	float: left;
	/* @noflip */
	text-align: left;
}

/* 表組みを折り畳んだ場合、横幅が極端に狭くなることを強引に修正 */
table.mw-collapsed > caption {
	white-space: nowrap;
}

/* Style for horizontal lists (separator following item).
   @source mediawiki.org/wiki/Snippets/Horizontal_lists
   @revision 9 (2016-08-10)
   @author [[User:Edokter]]
 */
.hlist dl,
.hlist ol,
.hlist ul {
	margin: 0;
	padding: 0;
}

/* Display list items inline */
.hlist dd,
.hlist dt,
.hlist li {
	margin: 0;
	display: inline;
}

/* Display nested lists inline */
.hlist.inline,
.hlist.inline dl,
.hlist.inline ol,
.hlist.inline ul,
.hlist dl dl, .hlist dl ol, .hlist dl ul,
.hlist ol dl, .hlist ol ol, .hlist ol ul,
.hlist ul dl, .hlist ul ol, .hlist ul ul {
	display: inline;
}

/* Hide empty list items */
.hlist .mw-empty-li,
.hlist .mw-empty-elt {
	display: none;
}

/* Generate interpuncts */
.hlist dt:after {
	content: ": ";
}

.hlist dd:after,
.hlist li:after {
	content: " · ";
	font-weight: bold;
}

/* 日本語版の独自仕様。-pipe、-hyphen、-comma、-slash */
.hlist-pipe dd:after,
.hlist-pipe li:after {
	content: " | ";
	font-weight: normal;
}

.hlist-hyphen dd:after,
.hlist-hyphen li:after {
	content: " - ";
	font-weight: normal;
}

.hlist-comma dd:after,
.hlist-comma li:after {
	content: "、 ";
	font-weight: normal;
}
.hlist-slash dd:after,
.hlist-slash li:after {
	content: " / ";
	font-weight: normal;
}

.hlist dd:last-child:after,
.hlist dt:last-child:after,
.hlist li:last-child:after {
	content: none;
}

/* Add parentheses around nested lists */
.hlist dd dd:first-child:before, .hlist dd dt:first-child:before, .hlist dd li:first-child:before,
.hlist dt dd:first-child:before, .hlist dt dt:first-child:before, .hlist dt li:first-child:before,
.hlist li dd:first-child:before, .hlist li dt:first-child:before, .hlist li li:first-child:before {
	content: " (";
	font-weight: normal;
}

.hlist dd dd:last-child:after, .hlist dd dt:last-child:after, .hlist dd li:last-child:after,
.hlist dt dd:last-child:after, .hlist dt dt:last-child:after, .hlist dt li:last-child:after,
.hlist li dd:last-child:after, .hlist li dt:last-child:after, .hlist li li:last-child:after {
	content: ")";
	font-weight: normal;
}

/* Put ordinals in front of ordered list items */
.hlist ol {
	counter-reset: listitem;
}

.hlist ol > li {
	counter-increment: listitem;
}

.hlist ol > li:before {
	content: " " counter(listitem) ".\a0";
}

.hlist dd ol > li:first-child:before,
.hlist dt ol > li:first-child:before,
.hlist li ol > li:first-child:before {
	content: " (" counter(listitem) "\a0";
}

/* Avoid elements from breaking between columns */
li, dd {
	-webkit-column-break-inside: avoid;
	page-break-inside: avoid;
	break-inside: avoid-column;
}

dt {
	-webkit-column-break-after: avoid;
	page-break-after: avoid;
	break-after: avoid-column;
}

dd {
	-webkit-column-break-before: avoid;
	page-break-before: avoid;
	break-before: avoid-column;
}

/* Merge template style */
.messagebox {
	border: 1px solid #a2a9b1;
	background-color: #f8f9fa;
	width: 80%;
	margin: 0 auto 1em auto;
	padding: 0.2em;
	text-align: justify;
}

.infobox {
	border: 1px solid #a2a9b1;
	background-color: #f8f9fa;
	color: black;
	margin: 0.5em 0 0.5em 1em;
	padding: 0.2em;
	float: right;
	clear: right;
	text-align: left;
	font-size: 88%;
	line-height: 1.5em;
}

.infobox caption {
	margin-top: 0.5em;
	font-size: 125%;
	font-weight: bold;
}

.infobox td,
.infobox th {
	vertical-align: top;
}

.infobox.bordered {
	border-collapse: collapse;
}

.infobox.bordered td,
.infobox.bordered th {
	border: 1px solid #a2a9b1;
}

.infobox.bordered .borderless td,
.infobox.bordered .borderless th {
	border: 0;
}

/* styles for bordered infobox with merged rows */
.infobox.bordered .mergedtoprow td,
.infobox.bordered .mergedtoprow th {
	border: 0;
	border-top: 1px solid #a2a9b1;
	/* @noflip */
	border-right: 1px solid #a2a9b1;
}

.infobox.bordered .mergedrow td,
.infobox.bordered .mergedrow th {
	border: 0;
	/* @noflip */
	border-right: 1px solid #a2a9b1;
}

/* Styles for geography infoboxes, eg countries,
   country subdivisions, cities, etc.            */
.infobox.geography {
	border-collapse: collapse;
	line-height: 1.6em;
	font-size: 88%;
}

.infobox.geography  td,
.infobox.geography  th {
	border-top: 1px solid #a2a9b1;
	padding: 0.4em 0.6em 0.4em 0.6em;
}

.infobox.geography .mergedtoprow td,
.infobox.geography .mergedtoprow th {
	border-top: 1px solid #a2a9b1;
	padding: 0.4em 0.6em 0.2em 0.6em;
}

.infobox.geography .mergedrow td,
.infobox.geography .mergedrow th {
	border: 0;
	padding: 0 0.6em 0.2em 0.6em;
}

.infobox.geography .mergedbottomrow td,
.infobox.geography .mergedbottomrow th {
	border-top: 0;
	border-bottom: 1px solid #a2a9b1;
	padding: 0 0.6em 0.4em 0.6em;
}

.infobox.geography .maptable td,
.infobox.geography .maptable th {
	border: 0;
	padding: 0;
}

/* NavFrame関係。[[MediaWiki:Monobook.css]]も参照 */
div.NavFrame {
	margin: 0px;
	padding: 2px;
	border: 1px solid #a2a9b1;
	text-align: center;
	border-collapse: collapse;
	font-size: 95%;
}

div.NavFrame div.NavHead {
	height: 1.6em;
	font-weight: bold;
	font-size: 100%;
	background-color: var(--background-color-neutral-subtle, #efefef);
	position: relative;
	text-align: center;
}

div.NavFrame p {
	font-size: 100%;
}

div.NavFrame div.NavContent {
	font-size: 100%;
}

div.NavFrame div.NavContent p {
	font-size: 100%;
}

a.NavToggle {
	position: absolute;
	top: 0px;
	right: 3px;
	font-weight: normal;
}

/* System messages styled similarly to fmbox */
/* for .mw-warning-with-logexcerpt, behavior of this line differs between
 * the edit-protected notice and the special:Contribs for blocked users
 * The latter has specificity of 3 classes so we have to triple up here.
 */
.mw-warning-with-logexcerpt.mw-warning-with-logexcerpt.mw-warning-with-logexcerpt,
div.mw-lag-warn-high,
div.mw-cascadeprotectedwarning,
div#mw-protect-cascadeon {
	clear: both;
	margin: 0.2em 0;
	border: 1px solid #bb7070;
	background-color: var(--background-color-error-subtle, #ffdbdb);
	padding: 0.25em 0.9em;
	box-sizing: border-box;
}

/* default colors for partial block message */
/* gotta get over the hump introduced by the triple class above */
.mw-contributions-blocked-notice-partial .mw-warning-with-logexcerpt.mw-warning-with-logexcerpt {
	border-color: #fc3;
	background-color: var(--background-color-warning-subtle, #fef6e7);
}

/* 出典ジャンプ先強調 */
.citation:target {
	background-color: #f1f4fd; /* fallback */
	background-color: var(--background-color-progressive-subtle, rgb(0 127 255 / 0.133));
}

/* 特定場所での改行を防ぐ:
   1) 個別に指定した場所
   2) リンク途中
   3) グループ名付きの ref タグ <ref group="注"> --> "[注 1]" */
.nowrap,
.nowraplinks a,
sup.reference a {
	white-space: nowrap;
}

/* 以下のクラスを指定した場所では解除する: */
.wrap,
.wraplinks a {
	white-space: normal;
}

/*
 * カテゴリページのリスト部にフロート指定のブロックを入れない。
 * 2009-01-24 by [[User:mizusumashi]]
 */
#mw-subcategories, #mw-pages, #mw-category-media {
	clear: both;
}

/* Don't display page title on the main page */
.page-メインページ #deleteconfirm,
.page-メインページ #t-cite,
.page-メインページ #footer-info-lastmod,
.action-view.page-メインページ #siteSub,
.action-view.page-メインページ .subtitle,
.action-view.page-メインページ .firstHeading,
.action-view.page-メインページ #contentSub,
.action-view.page-メインページ #contentSub2 {
	display: none;
}

/* Unbulleted lists */
.plainlist ol,
.plainlist ul {
	line-height: inherit;
	list-style: none;
	margin: 0;
}

.plainlist ol li,
.plainlist ul li {
	margin-bottom: 0;
}

/* [[Template:Math]]用のtexhtmlクラス。(2021-05-24更新)
   texhtml class for inline math (based on generic times-serif class) */
span.texhtml {
	font-family: "Nimbus Roman No9 L", "Times New Roman", Times, serif;
	font-size: 108%;
	line-height: 1;
	white-space: nowrap;
	/* Force tabular and lining display for texhtml */
	-webkit-font-feature-settings: "lnum", "tnum", "kern" 0;
	font-feature-settings: "lnum", "tnum", "kern" 0;
	font-variant-numeric: lining-nums tabular-nums;
	font-kerning: none;
}

span.texhtml span.texhtml {
	font-size: 100%;
}

span.mwe-math-mathml-inline {
	font-size: 108%;
}

/* Make <math display="block"> be left aligned with one space indent for
 * compatibility with style conventions
 */
.mwe-math-fallback-image-display,
.mwe-math-mathml-display {
	margin-left: 1.6em !important;
	margin-top: 0.6em;
	margin-bottom: 0.6em;
}

.mwe-math-mathml-display math {
	display: inline;
}

/* 日本語版追加分 */
span.texhtml sup {
	vertical-align: 1.0ex;
	font-size: 75%;
}

span.texhtml sub {
	vertical-align: -0.5ex;
	font-size: 75%;
}

/* MediaWiki:Common.js - modifyEditsection
   拡張節編集リンク内の分割線をビジュアルエディター無効でも表示する */
.ve-not-available .editsection-extensions .mw-editsection-divider {
	display: inline;
}

/* 履歴や本文で長い文字列を折り返せない問題の解消 */
#bodyContent {
	word-wrap: break-word;
	overflow-wrap: break-word;
}

/* Hide broken download box on [[Special:Book]] pending [[phab:T285400]] */
.mw-special-Book #coll-downloadbox {
	display: none;
}

/* T156351: Support for Parsoid's Cite implementation */
span[rel="mw:referencedBy"]::before {
    content: "^ ";
}
a[rel="mw:referencedBy"]::before {
    font-weight: bold;
    content: "^";
}
span[ rel="mw:referencedBy" ] {
    counter-reset: mw-ref-linkback 0;
}
span[ rel="mw:referencedBy" ] > a::before {
    font-weight: bold;
    font-style: italic;
    content: counter( mw-ref-linkback, lower-alpha );
}

/* Hide stuff meant for accounts with special permissions. Made visible again in
   [[MediaWiki:Group-sysop.css]] and so on for other groups. */
.checkuser-show,
.sysop-show,
.eliminator-show,
.abusefilter-show,
.extendedconfirmed-show,
.autoconfirmed-show,
.user-show {
	display: none;
}

html.skin-theme-clientpref-night .tmpl-language-icon {
	color: white !important;
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .tmpl-language-icon {
		color: white !important;
	}
}